Anonymous - 2007-08-03

Logged In: YES
user_id=1387013
Originator: YES

ok, I figure out how to grab the source code cvs thanks to this link: http://xf4vnc.sourceforge.net/modular.html

I am having problems compiling this on OpenBSD 4.1 I was able to complete the first two compiling steps in the following directories.

~/xf4vnc/modular/src/proto/vncproto
~/xf4vnc/modular/src/proto/xcliplistproto

However when I try to run under

~/xf4vnc/modular/src/lib/libvnc

It craps out like so:

-------------------------------------------------------------------------------

checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for VNCEXT... Package x11 was not found in the pkg-config search path
Package xext was not found in the pkg-config search path
Package xextproto was not found in the pkg-config search path
configure: error: Package requirements (x11 xext xextproto vncproto) were not met:

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables VNCEXT_CFLAGS
and VNCEXT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
----------------------------------------------------------------------

my env variable are listed below:

AUTOCONF_VERSION = 2.61
AUTOMAKE_VERSION = 1.9
ACLOCAL = aclocal -I /usr/local/share/aclocal
DEST = /usr/X11R6
PKG_CONFIG_PATH = /usr/X11R6/lib/pkgconfig:/usr/local/lib/pkgconfig